services:
  web_blue:
    build:
      context: .
      dockerfile: Dockerfile
      network: host
      args:
        REQUIRE_PUBLIC_SITE: "1"
        PUBLIC_SITE: "https://staging.archicratie.trans-hands.synology.me"
        PUBLIC_GITEA_BASE: ${PUBLIC_GITEA_BASE}
        PUBLIC_GITEA_OWNER: ${PUBLIC_GITEA_OWNER}
        PUBLIC_GITEA_REPO: ${PUBLIC_GITEA_REPO}
    image: archicratie-web:blue
    container_name: archicratie-web-blue
    ports:
      - "127.0.0.1:8081:80"
    restart: unless-stopped

  web_green:
    build:
      context: .
      dockerfile: Dockerfile
      network: host
      args:
        REQUIRE_PUBLIC_SITE: "1"
        PUBLIC_SITE: "https://archicratie.trans-hands.synology.me"
        PUBLIC_GITEA_BASE: ${PUBLIC_GITEA_BASE}
        PUBLIC_GITEA_OWNER: ${PUBLIC_GITEA_OWNER}
        PUBLIC_GITEA_REPO: ${PUBLIC_GITEA_REPO}
    image: archicratie-web:green
    container_name: archicratie-web-green
    ports:
      - "127.0.0.1:8082:80"
    restart: unless-stopped